Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.messaging
Interface PostOffice

public interface PostOffice
extends Session

The main interface to a simplistic messaging protocol. Users of the PostOffice can send a message to another party or retreive a reference to a `Mailbox` from which messages can be read. The mail box can be used to send and receive messages directly. These classes provide no security or authentication so the using application must guarantees these separately and programatically.

See Also:
  `PostOfficeHome`, `PostOfficeImpl`

Method Summary
`Mailbox` | `findMailbox(java.lang.String stakeHolderId)` Find the mailbox for the user.
`void` | `sendMessage(java.lang.String to, java.lang.String body, java.lang.String from)` Retrieve the Mailbox for the "To" and add a message with the specified "From" and message text.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### sendMessage

    public void sendMessage(java.lang.String to,
                            java.lang.String body,
                            java.lang.String from)
                     throws java.rmi.RemoteException

  Retrieve the Mailbox for the "To" and add a message with the specified "From" and message text.

### findMailbox

    public Mailbox findMailbox(java.lang.String stakeHolderId)
                        throws java.rmi.RemoteException,
                               CreateException,
                               javax.naming.NamingException

  Find the mailbox for the user.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.